DynamicRegionFactory.Config (Apache Geode 1.5.0)
Date: 2018-03-30

org.apache.geode.cache

## Class DynamicRegionFactory.Config

- java.lang.Object
- - org.apache.geode.cache.DynamicRegionFactory.Config

- Enclosing class:
    DynamicRegionFactory

      public static class DynamicRegionFactory.Config
      extends java.lang.Object

  Configuration for dynamic region factory. The default attributes are:
  - diskDir: `null`
  - poolName: `null`
  - persistBackup: `true`
  - registerInterest: `true`
  Since:
    GemFire 4.3

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.io.File` | `diskDir` The directory where the factory's `persistBackup` files are placed
    `boolean` | `persistBackup` Causes the factory to be persisted on disk.
    `java.lang.String` | `poolName` The ${link Pool} to be used by a client factory to communicate with the server-side factory.
    `boolean` | `registerInterest` Causes regions created by the factory to register interest in all keys in a corresponding server cache region

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Config()` Creates a configuration with the default attributes.
    `Config(java.io.File diskDir, java.lang.String poolName)` Creates a configuration with defaults and the given diskDir and poolName.
    `Config(java.io.File diskDir, java.lang.String poolName, boolean persistBackup, boolean registerInterest)` Creates a configuration with the given attributes

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.io.File` | `getDiskDir()` Returns the disk directory that the dynamic region factory data will be written to.
    `boolean` | `getPersistBackup()` Returns true if the factory is persisted to disk; false if not.
    `java.lang.String` | `getPoolName()` Returns the name of the `Pool` associated with the dynamic region factory.
    `boolean` | `getRegisterInterest()` Returns true if the region will register interest in all keys of a corresponding server cache region
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### persistBackup

          public final boolean persistBackup

      Causes the factory to be persisted on disk. See `diskDir`

    - #### diskDir

          public final java.io.File diskDir

      The directory where the factory's `persistBackup` files are placed

    - #### registerInterest

          public final boolean registerInterest

      Causes regions created by the factory to register interest in all keys in a corresponding server cache region

    - #### poolName

          public final java.lang.String poolName

      The ${link Pool} to be used by a client factory to communicate with the server-side factory.

  - ### Constructor Detail

    - #### Config

          public Config()

      Creates a configuration with the default attributes.

    - #### Config

          public Config(java.io.File diskDir,
                        java.lang.String poolName)

      Creates a configuration with defaults and the given diskDir and poolName.

    - #### Config

          public Config(java.io.File diskDir,
                        java.lang.String poolName,
                        boolean persistBackup,
                        boolean registerInterest)

      Creates a configuration with the given attributes

  - ### Method Detail

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### getPersistBackup

          public boolean getPersistBackup()

      Returns true if the factory is persisted to disk; false if not.

    - #### getRegisterInterest

          public boolean getRegisterInterest()

      Returns true if the region will register interest in all keys of a corresponding server cache region

    - #### getDiskDir

          public java.io.File getDiskDir()

      Returns the disk directory that the dynamic region factory data will be written to. Returns null if no directory has been specified. The diskDir is only used if `persistBackup` is true.

    - #### getPoolName

          public java.lang.String getPoolName()

      Returns the name of the `Pool` associated with the dynamic region factory. Returns null if there is no connection pool for dynamic regions.